Subject: Re: Error reading line numbers ?
From: "Suhaib M. Siddiqi" <[email-masked]>
To: <[email-masked]>
Cc: "Chris Faylor" <[email-masked]>, <[email-masked]>
Date: Sat, 17 Apr 1999 18:20:55 -0400

Sorry, I do not know about snapshot after March 30.  
Persoanlly, I try to avoid installing snapshots. 
It would more helpful to you if you repost your mail to list.  Maybe someone else can
help you.

Suhaib

PS: I have cc your message to list. I hope it is Ok for you.

> I'm having the same problems with the cygwin1.dll snapshots after march
> 30.  The problem seems to be in the dll initialization before the
> program starts.  I used a simple hello.c program compiled with both the
> cygwin1.dll and using -mno-cygwin.  The -mno-cygwin version works fine,
> while the cygwin1.dll version fails.  However, if I run them outside of
> gdb, they both work.
> 
> I posted this to the developers list in the last couple of day, but
> without any response as of yet.  If you have any ideas, please let me
> know.
> 
> thanks,
> John Fortin
> [email-masked]
> 
> "Suhaib M. Siddiqi" wrote:
> > 
> > > I have compiled my program with -c -g option's and linked it with libc.a, libm.a,libcygwin.a an librpclib.a and got this error when I start it:
> > >
> > 
> > You do not neet to link against libc.a, libcygwin.a is enough.
> > 
> > > (gdb) r
> > > 61000000:/WINNT/System32/cygwin1.dll
> > >
> > > [failed reading symbols from dll]
> > > "/WINNT/system32/advapi32.dll":error reading line numbers
> > >
> > > [failed reading symbols from dll]
> > > "/WINNT/system32/KERNEL32.dll":error reading line numbers
> > >
> > > 77e70000:/WINNT/system32/USER32.dll
> > > 77ed0000:/WINNT/system32/GDI32.dll
> > > 77e10000:/WINNT/system32/RPCRT4.dll
> > > 5f810000:/WINNT/system32/rpcltc1.dll
> > >
> > > Program received signal SIGSEGV, Segmentation fault.
> > > 0x6105af0f in _size_of_stack_reserve__ ()
> > > (gdb)
> > >
> > 
> > You need to get more info out of gdb.  The above info is not enough.
> > 
> > If you are using Corinna's RPC library, why are you trying to link against
> > Microsoft RPC libraries?
> > 
> > Suhaib
> > 
> > > Any one know what to do?
> > >
> > > If it is any help here's some information :
> > >
> > > gdb ver. 4.17.1
> > > gcc ver. 2.91.66
> > >
> > >
> > > --
> > > Want to unsubscribe from this list?
> > > Send a message to [email-masked]
> > >
> > >
> > 
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]